Index: /trunk/SophyaPI/PIext/pawexecut.cc
===================================================================
--- /trunk/SophyaPI/PIext/pawexecut.cc	(revision 3057)
+++ /trunk/SophyaPI/PIext/pawexecut.cc	(revision 3058)
@@ -218,5 +218,5 @@
 kw = "h/plot/2d";
 usage = "Specific plot for 2D histogrammes";
-usage += "\n h/plot/2d nameh2d show        : infos on 2D histogramme";
+usage += "\n h/plot/2d nameh2d show        : infos on 2D histogramme projections";
 usage += "\n h/plot/2d nameh2d h    [dopt] : plot 2D histogramme";
 usage += "\n h/plot/2d nameh2d px   [dopt] : plot X projection";
@@ -227,4 +227,16 @@
 usage += "\n h/plot/2d nameh2d sy n [dopt] : plot Y slice number n";
 usage += "\n                      n < 0 means Show Info";
+piac->RegisterCommand(kw,usage,this,hgrp);
+
+kw = "h/2d/geth";
+usage = "Get histo projections, bandes and slices";
+usage += "\n h/2d/geth nameh2d         : infos on 2D histogramme projections";
+usage += "\n h/2d/geth h nameh2d px    : copy X projection into histo h";
+usage += "\n h/2d/geth h nameh2d py    : copy Y projection into histo h";
+usage += "\n h/2d/geth h nameh2d bx n  : copy X band number n into histo h";
+usage += "\n h/2d/geth h nameh2d by n  : copy Y band number n into histo h";
+usage += "\n h/2d/geth h nameh2d sx n  : copy X slice number n into histo h";
+usage += "\n h/2d/geth h nameh2d sy n  : copy Y slice number n into histo h";
+usage += "\n  Related commands: h/plot/2d";  
 piac->RegisterCommand(kw,usage,this,hgrp);
 
@@ -346,4 +358,6 @@
 } else if(kw == "h/plot/2d") {
   h_plot_2d(tokens); return(0);
+} else if(kw == "h/2d/geth") {
+  h_2d_geth(tokens); return(0);
 } else if(kw == "h/put_vec") {
   h_put_vec(tokens); return(0);
@@ -1837,4 +1851,66 @@
 
 /* methode */
+void PAWExecutor::h_2d_geth(vector<string>& tokens)
+// copy bandx/y, slicex/y or projx/y from an 2D histo into a 1D histo
+{
+ NamedObjMgr omg;
+
+ if(tokens.size()==1) {
+   AnyDataObj* mobj = omg.GetObj(tokens[0]);
+   Histo2D* h2 = dynamic_cast<Histo2D*>(mobj);
+   if(!h2) return;
+   h2->ShowProj();
+   h2->ShowBand(2);
+   h2->ShowSli(2);
+   return;
+ }
+
+ if(tokens.size()<3)
+   {cout<<"Usage: h/2d/geth h nameh2d [px,py,bx n,by n,sx n,sy n]"<<endl; return;}
+
+ string nameh1 = tokens[0];
+ string nameh2 = tokens[1];
+ string proj   = tokens[2];
+ int_4 nump = (tokens.size()>3)? atoi(tokens[3].c_str()): -1;
+
+ // Decodage Histo2D
+ AnyDataObj* mobj = omg.GetObj(tokens[1]);
+ if(mobj==NULL)
+   {cout<<"PAWExecutor::h_2d_geth Error: unknow object"<<tokens[1]<<endl;
+   return;}
+ Histo2D* h2 = dynamic_cast<Histo2D*>(mobj);
+ if(!h2)
+   {cout<<"PAWExecutor::h_plot_2d Error: "<<tokens[1]<<" not an Histo2D"<<endl;
+   return;}
+
+ // Remplissage histo 1D avec la projection demandee
+ Histo *h1p;
+ if(proj == "px") {  
+   if((h1p=h2->HProjX())) {Histo* h=new Histo(*h1p); omg.AddObj(h,nameh1);}
+     else h2->ShowProj();
+ } else if(proj == "py") {
+   if((h1p=h2->HProjY())) {Histo* h=new Histo(*h1p); omg.AddObj(h,nameh1);}
+     else h2->ShowProj();
+ } else if(proj == "bx"  && nump>=0) {
+   if((h1p=h2->HBandX(nump))) {Histo* h=new Histo(*h1p); omg.AddObj(h,nameh1);}
+     else h2->ShowBand();
+ } else if(proj == "by"  && nump>=0) {
+   if((h1p=h2->HBandY(nump))) {Histo* h=new Histo(*h1p); omg.AddObj(h,nameh1);}
+     else h2->ShowBand();
+ } else if(proj == "sx"  && nump>=0) {
+   if((h1p=h2->HSliX(nump))) {Histo* h=new Histo(*h1p); omg.AddObj(h,nameh1);}
+     else h2->ShowSli();
+ } else if(proj == "sy"  && nump>=0) {
+   if((h1p=h2->HSliY(nump))) {Histo* h=new Histo(*h1p); omg.AddObj(h,nameh1);}
+     else h2->ShowSli();
+ } else {
+   cout<<"PAWExecutor::h_2d_geth Error: Unknown proj name "<<proj
+       <<" or bad projection number "<<nump<<endl;
+ }
+
+ return;
+}
+
+/* methode */
 int_4 PAWExecutor::decodepawstring(string tokens,string& nameobj
                                 ,string& xexp,string& yexp,string& zexp)
Index: /trunk/SophyaPI/PIext/pawexecut.h
===================================================================
--- /trunk/SophyaPI/PIext/pawexecut.h	(revision 3057)
+++ /trunk/SophyaPI/PIext/pawexecut.h	(revision 3058)
@@ -41,4 +41,5 @@
   void  h_oper(vector<string>& tokens);
   void  h_plot_2d(vector<string>& tokens);
+  void  h_2d_geth(vector<string>& tokens);
   void  h_put_vec(vector<string>& tokens);
   void  h_get_vec(vector<string>& tokens);
Index: /trunk/SophyaPI/PIext/smakefile
===================================================================
--- /trunk/SophyaPI/PIext/smakefile	(revision 3057)
+++ /trunk/SophyaPI/PIext/smakefile	(revision 3058)
@@ -29,8 +29,10 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  basexecut.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h basexecut.h \
+  $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)strutilxx.h pistdimgapp.h \
+  $(SOPHYAINCP)strutilxx.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -89,5 +91,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -98,6 +101,7 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -131,5 +135,6 @@
  
 $(SOPHYAOBJP)contmodex.o: contmodex.cc \
-  $(SOPHYAINCP)sopnamsp.h contmodex.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  contmodex.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -148,6 +153,7 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  nobjmgr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)dvlist.h \
@@ -224,5 +230,6 @@
   $(SOPHYAINCP)gp_graph3d.h \
   $(SOPHYAINCP)gp_alloc.h \
-  $(SOPHYAINCP)pidrawer.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
+  nomgadapter.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -246,5 +253,6 @@
  
 $(SOPHYAOBJP)cxxexecutor.o: cxxexecutor.cc \
-  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  cxxexecutor.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -263,10 +271,12 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  nobjmgr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)cxxcmplnk.h nomgadapter.h \
+  $(SOPHYAINCP)cxxcmplnk.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -308,5 +318,6 @@
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h pistdimgapp.h \
+  $(SOPHYAINCP)fmath.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -344,6 +355,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -354,5 +365,6 @@
  
 $(SOPHYAOBJP)cxxexecwin.o: cxxexecwin.cc \
-  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  cxxexecutor.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -371,9 +383,12 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  nobjmgr.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h cxxexecwin.h \
-  $(SOPHYAINCP)pisysdep.h pistdimgapp.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  cxxexecwin.h \
+  $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -431,6 +446,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -441,5 +456,6 @@
  
 $(SOPHYAOBJP)flowmodex.o: flowmodex.cc \
-  $(SOPHYAINCP)sopnamsp.h flowmodex.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  flowmodex.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -458,9 +474,11 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  nobjmgr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)dvlist.h pi2dvec.h \
-  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -518,6 +536,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -529,5 +547,6 @@
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)pidrawer.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
+  nomgadapter.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)generalfit.h \
@@ -567,7 +586,9 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  graphexecut.h $(SOPHYAINCP)strutilxx.h \
-  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h graphexecut.h \
+  $(SOPHYAINCP)strutilxx.h \
+  pistdimgapp.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -625,5 +646,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -634,5 +656,6 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h nomgadapter.h \
+  $(SOPHYAINCP)resusage.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
@@ -663,21 +686,24 @@
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)datatypes.h \
-  $(SOPHYAINCP)machdefs.h nobjmgr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h \
-  servnobjm.h $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h nomgadapter.h \
+  $(SOPHYAINCP)machdefs.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h servnobjm.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -720,5 +746,6 @@
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h pistdimgapp.h \
+  $(SOPHYAINCP)fmath.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -756,5 +783,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -766,17 +794,21 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)tvector.h pitvmaad.h \
+  $(SOPHYAINCP)tvector.h \
+  pitvmaad.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)pisurfdr.h pipodrw.h \
-  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)pisurfdr.h \
+  pipodrw.h $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)histos.h pintuple.h \
-  pintup3d.h $(SOPHYAINCP)pi3ddrw.h pigfd1.h \
-  $(SOPHYAINCP)generaldata.h pigfd2.h
+  pintup3d.h \
+  $(SOPHYAINCP)pi3ddrw.h pigfd1.h \
+  $(SOPHYAINCP)generaldata.h \
+  pigfd2.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nobjmgr.cc
  
 $(SOPHYAOBJP)nomgadapter.o: nomgadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomgadapter.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomgadapter.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
@@ -837,6 +869,7 @@
 $(SOPHYAOBJP)nomgfdadapter.o: nomgfdadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomgfdadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomgfdadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -904,6 +937,7 @@
 $(SOPHYAOBJP)nomhistadapter.o: nomhistadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomhistadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomhistadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -967,6 +1001,7 @@
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)segdatablock.h pihisto.h \
-  pihisto2d.h $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)segdatablock.h \
+  pihisto.h pihisto2d.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
@@ -1009,6 +1044,7 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h nomimagadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomimagadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1064,5 +1100,6 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h pimgadapter.h \
+  $(SOPHYAINCP)fioarr.h \
+  pimgadapter.h \
   $(SOPHYAINCP)objfitter.h \
   $(SOPHYAINCP)cimage.h \
@@ -1077,6 +1114,7 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h nomskymapadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomskymapadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1151,5 +1189,6 @@
   $(SOPHYAINCP)fiospherehealpix.h \
   $(SOPHYAINCP)fiolocalmap.h \
-  $(SOPHYAINCP)fiosphereecp.h pitvmaad.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  pitvmaad.h \
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)complexios.h
@@ -1224,6 +1263,7 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h nomtarradapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomtarradapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1279,5 +1319,6 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)tvector.h pitvmaad.h \
+  $(SOPHYAINCP)tvector.h \
+  pitvmaad.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)piyfxdrw.h \
@@ -1326,6 +1367,7 @@
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h nomtmatvecadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)poly.h \
+  nomtmatvecadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)pidrawer.h \
@@ -1358,7 +1400,8 @@
   $(SOPHYAINCP)piyfxdrw.h \
   $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)pidrawer.h pitvmaad.h \
-  $(SOPHYAINCP)fioarr.h nobjmgr.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h
+  $(SOPHYAINCP)pidrawer.h \
+  pitvmaad.h $(SOPHYAINCP)fioarr.h \
+  nobjmgr.h $(SOPHYAINCP)dvlist.h \
+  dlftypes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtmatvecadapter.cc
  
@@ -1400,14 +1443,19 @@
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)segdatablock.h pawexecut.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h piacmd.h \
+  $(SOPHYAINCP)segdatablock.h \
+  pawexecut.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  nobjmgr.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h nomgadapter.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  servnobjm.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -1436,5 +1484,6 @@
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h pistdimgapp.h \
+  $(SOPHYAINCP)poly.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1472,12 +1521,12 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h pihisto.h \
-  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)resusage.h \
+  pihisto.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pawexecut.cc
@@ -1514,5 +1563,6 @@
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)nbtri.h pi2dvec.h \
-  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1570,8 +1620,10 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h dlftypes.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -1588,6 +1640,7 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pi2dvec.cc
  
-$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h \
-  piacmd.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)piacmd.o: piacmd.cc \
+  $(SOPHYAINCP)sopnamsp.h piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)machdefs.h \
@@ -1605,10 +1658,11 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)srandgen.h pistdimgapp.h \
+  $(SOPHYAINCP)srandgen.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1667,5 +1721,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1676,6 +1731,6 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h basexecut.h \
-  graphexecut.h piafitting.h nomgadapter.h \
+  $(SOPHYAINCP)resusage.h \
+  basexecut.h graphexecut.h piafitting.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1697,6 +1752,6 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h pawexecut.h \
-  cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
+  $(SOPHYAINCP)tvector.h \
+  pawexecut.h cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piacmd.cc
  
@@ -1748,6 +1803,8 @@
   $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h piafitting.h \
-  $(SOPHYAINCP)machdefs.h nomgadapter.h \
+  $(SOPHYAINCP)hisprof.h \
+  piafitting.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomgadapter.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -1776,10 +1833,12 @@
   $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)pdlmgr.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pdlmgr.h dlftypes.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h nobjmgr.h \
-  $(SOPHYAINCP)dvlist.h pistdimgapp.h \
+  $(SOPHYAINCP)dvlist.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1817,11 +1876,12 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h nomhistadapter.h \
+  $(SOPHYAINCP)resusage.h \
+  nomhistadapter.h \
   $(SOPHYAINCP)histerr.h \
   $(SOPHYAINCP)xntuple.h \
@@ -1832,6 +1892,7 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piafitting.cc
  
-$(SOPHYAOBJP)pigfd1.o: pigfd1.cc $(SOPHYAINCP)sopnamsp.h \
-  pigfd1.h $(SOPHYAINCP)generaldata.h \
+$(SOPHYAOBJP)pigfd1.o: pigfd1.cc \
+  $(SOPHYAINCP)sopnamsp.h pigfd1.h \
+  $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
@@ -1883,6 +1944,7 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigfd1.cc
  
-$(SOPHYAOBJP)pigfd2.o: pigfd2.cc $(SOPHYAINCP)sopnamsp.h \
-  pigfd2.h $(SOPHYAINCP)generaldata.h \
+$(SOPHYAOBJP)pigfd2.o: pigfd2.cc \
+  $(SOPHYAINCP)sopnamsp.h pigfd2.h \
+  $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
@@ -1971,5 +2033,6 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)sopnamsp.h pihisto2d.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pihisto2d.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -2014,6 +2077,6 @@
  
 $(SOPHYAOBJP)pihisto.o: pihisto.cc \
-  $(SOPHYAINCP)sopnamsp.h pihisto.h \
-  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pihisto.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2065,5 +2128,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pihisto.cc
  
-$(SOPHYAOBJP)piinit.o: piinit.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)piinit.o: piinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h piinit.h \
   $(SOPHYAINCP)sambainit.h \
@@ -2072,5 +2136,6 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h pistdimgapp.h \
+  $(SOPHYAINCP)tarrinit.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2129,19 +2194,21 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h \
-  piacmd.h $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h piacmd.h \
+  $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
@@ -2153,7 +2220,9 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h nomhistadapter.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  nomhistadapter.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -2185,8 +2254,10 @@
   nomgfdadapter.h nomimagadapter.h \
   $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h nomtmatvecadapter.h \
+  $(SOPHYAINCP)fioarr.h \
+  nomtmatvecadapter.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)generaldata.h \
-  nomtarradapter.h $(SOPHYAINCP)tarray.h \
+  nomtarradapter.h \
+  $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
@@ -2195,5 +2266,6 @@
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppftpointerio.h \
-  nomskymapadapter.h $(SOPHYAINCP)pixelmap.h \
+  nomskymapadapter.h \
+  $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -2214,9 +2286,11 @@
   $(SOPHYAINCP)gaussfilt.h \
   nomspecrespadapter.h \
-  $(SOPHYAINCP)specresp.h
+  $(SOPHYAINCP)specresp.h \
+  piaversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piinit.cc
  
 $(SOPHYAOBJP)pintup3d.o: pintup3d.cc \
-  $(SOPHYAINCP)sopnamsp.h pintup3d.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pintup3d.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2248,5 +2322,6 @@
  
 $(SOPHYAOBJP)pintuple.o: pintuple.cc \
-  $(SOPHYAINCP)sopnamsp.h pintuple.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pintuple.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2275,5 +2350,6 @@
  
 $(SOPHYAOBJP)pipodrw.o: pipodrw.cc \
-  $(SOPHYAINCP)sopnamsp.h pipodrw.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pipodrw.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pidrawer.h \
@@ -2340,5 +2416,6 @@
   $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)smathconst.h pistdimgapp.h \
+  $(SOPHYAINCP)smathconst.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2397,18 +2474,20 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h \
-  piacmd.h $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h piacmd.h \
+  $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
@@ -2420,5 +2499,6 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pisiadw.cc
@@ -2453,5 +2533,6 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h pistdimgapp.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2510,8 +2591,10 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h dlftypes.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -2523,5 +2606,6 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)psfile.h \
@@ -2531,5 +2615,6 @@
   $(SOPHYAINCP)pidrwtools.h \
   $(SOPHYAINCP)piaxestools.h \
-  $(SOPHYAINCP)piscdrawwdg.h piinit.h \
+  $(SOPHYAINCP)piscdrawwdg.h \
+  piinit.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -2537,9 +2622,11 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)piversion.h piaversion.h
+  $(SOPHYAINCP)piversion.h \
+  piaversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pistdimgapp.cc
  
 $(SOPHYAOBJP)pitvmaad.o: pitvmaad.cc \
-  $(SOPHYAINCP)sopnamsp.h pitvmaad.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pitvmaad.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2585,7 +2672,9 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h \
-  servnobjm.h $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h nomgadapter.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h servnobjm.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -2628,5 +2717,6 @@
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h pistdimgapp.h \
+  $(SOPHYAINCP)fmath.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2664,5 +2754,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -2679,6 +2770,6 @@
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)matharr.h pitvmaad.h \
-  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)matharr.h \
+  pitvmaad.h $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)fioarr.h \
@@ -2691,7 +2782,7 @@
   $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)pisurfdr.h pintuple.h \
-  pintup3d.h $(SOPHYAINCP)pi3ddrw.h \
-  pipodrw.h
+  $(SOPHYAINCP)pisurfdr.h \
+  pintuple.h pintup3d.h \
+  $(SOPHYAINCP)pi3ddrw.h pipodrw.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  servnobjm.cc
  
